Skip to content

Requirements

The following server requirements cover both running the software on-premise and on third-party PaaS providers.

eZ Platform Cloud

For running on eZ Platform Cloud, where recommended configuration and support is provided out of the box, see separate eZ Platform Cloud section for further reading on its requirements.

The minimal setup requires PHP, MySQL/MariaDB, Apache/Nginx. Recommendation for production setups is to use Varnish/Fastly, Redis/Memcached, NFS/EFS/S3 and Solr in a clustered setup.

Using the latest listed version of each product or component is always recommended.

Operating system

  • Debian 9.x "Stretch"
  • Ubuntu 16.04LTS "Xenial" / 18.04LTS "Bionic"
  • RHEL / CentOS 7.x

Web server

  • Nginx 1.10, 1.12, 1.14
  • Apache 2.4 (with required modules mod_rewrite, mod_env and recommended: mod_setenvif, mod_expires; event MPM is recommended, if you need to use prefork you also need the mod_php module)

DBMS

  • MariaDB 5.5 (new enough to support utf8mb4 character set), 10.0, 10.1, 10.2, 10.3
  • MySQL 5.5.3, 5.6, 5.7
  • PostgreSQL 10+

PHP

  • 5.6
  • 7.0
  • 7.1
  • 7.2
  • 7.3

PHP packages

  • php-cli
  • php-fpm
  • php-mysql (php-mysqlnd) or php-pgsql
  • php-xml
  • php-mbstring
  • php-json
  • php-process (on RHEL/CentOS)
  • php-intl
  • php-curl
  • php-pear (optional, provides pecl)
  • php-gd or php-imagick (via pecl on RHEL/CentOS)

Cluster PHP packages

  • php-redis 3.1.3+ or php-memcached 3.x on PHP 7, 2.2 on PHP 5
  • Solr 4.10, 6.6LTS

Graphic Handler

  • GraphicsMagick
  • ImageMagick
  • GD

Clustering

Filesystem

  • Linux ext4 / XFS

Package manager

  • Composer (recent stable version)

Browser

Ibexa software is developed to work with any web browser that supports modern standards, on any screen resolution suitable for web, running on any device. However for the Editorial and Administration User Interfaces you'll need; a minimum of 1024-by-768 screen resolution, a desktop or tablet device, and a recommended/supported browser among the ones found below.

  • Mozilla® Firefox® most recent stable version (recommended)
  • Google Chrome™ most recent stable version (recommended)
  • Chromium™ based browsers such as Microsoft® Edge® and Opera®, most recent stable version, desktop and tablet
  • Apple® Safari® most recent stable version, desktop and tablet

eZ Platform Cloud requirements and setup

eZ Platform Cloud

Cloud hosting with eZ Platform Cloud and Platform.sh

In general, eZ Platform Cloud supports all features and services of Platform.sh that are compatible and supported by the eZ Platform version you use.

For example:

  • Platform.sh provides Redis support for versions 2.8, 3.0 and 3.2. eZ Platform supports Redis version 3.0 or higher. As a result, Redis is supported by eZ Platform Cloud versions 3.0 and 3.2.
  • Platform.sh provides Elastic Search service (different versions supported). eZ Platform 1.13 does not officially support Elastic Search. As a result, Elastic Search is not supported for use as search engine for eZ Platform (1.13).

Features or services supported by eZ Platform but not covered by Platform.sh may be possible by means of a custom integration.

For more details on recommended setup configuration see bundled .platform.app.yaml and .platform/ configuration files.

These files are kept up-to-date with latest recommendations and can be improved through contributions.

Supported eZ Platform Cloud setup

Because of the large range of possible configurations of eZ Publish legacy, there is no ready-made recommended setup. Make sure to set aside time and budget for:

  • Verifying your legacy configuration and ensuring it is supported by Platform.sh
  • Additional time for adaptation and configuration work, and testing by your own team
  • Additional consulting/onboarding time with Platform.sh, Ibexa technical services, and/or one of the many partners with prior experience using Platform.sh with eZ Publish legacy

The cost and effort of this is not included in eZ Platform Cloud subscription and will vary depending on the project.

Experimental/custom Platform.sh setups

Any use of experimental versions or setups is not eligible for use with eZ Platform Cloud. However, it is possible to use an eZ Enterprise subscription in combination with a Platform.sh contract, where you or a partner take ownership of the configuration to set up the project.

Such projects are possible by means of custom integrations/configuration, but they may generate issues that won't be covered by eZ Enterprise subscription bug fix guarantee.

Use a partner with prior experience on legacy and Platform.sh

If you are in need of setting up your legacy project on Platform.sh for a transitional period, eZ can put you in contact with a partner experienced in setting up older projects on Platform.sh. This will save you a lot of time and effort.

Custom integrations

Features supported by eZ Platform, but not natively by Platform.sh, can in many cases be used by means of custom integrations with external services.

For example, you can create an integration with S3 by means of setting up your own S3 bucket and configuring the relevant parts of eZ Platform. We recommend giving the development team working on the project access to the bucket to ensure work is done in a DevOps way without depending on external teams when changes are needed.